Reset Users TOTP

Prev Next
Post
/api/v1/users.resetTOTP

Reset 2FA via TOTP for a user in the workspace. Make sure that the Enable Two Factor Authentication setting is enabled under Manage > Workspace > Settings > Accounts > Two Factor Authentication.

  • Permission required: edit-other-user-totp.
  • It requires two-factor authentication, if 2FA is enabled and configured in your workspace.

Changelog

Version Description
3.6.0 Added
Header parameters
X-Auth-Token
stringRequired

The authenticated user token.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The authenticated user ID.

ExamplerbAXPnMktTFbNpwtJ
x-2fa-code
string

Enter the 2FA code. This parameter is required if 2FA is enabled in your workspace. See the Introduction to Two-Factor Authentication document for details.

Example148750
x-2fa-method
string

Enter the method with which you get the 2FA code. It can be email, totp, or password. This parameter is required if 2FA is enabled in your workspace.

Body parameters
Example 1
{
  "userId": "GonjPyg3gB3Z9ur9s"
}
object
userId
string

The userId of the user whose TOTP you want to reset. You can also use the username. If you do not enter a value, the sender's TOTP is reset.

Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "TOTP Required [totp-required]",
  "errorType": "totp-required",
  "details": {
    "method": "password",
    "codeGenerated": false,
    "availableMethods": []
  }
}
Example 2
{
  "success": false,
  "error": "Not allowed [error-not-allowed]",
  "errorType": "error-not-allowed"
}
Example 3
{
  "success": false,
  "error": "The required \"userId\" or \"username\" param provided does not match any users [error-invalid-user]",
  "errorType": "error-invalid-user"
}
Expand All
object
success
boolean
error
string
errorType
string
details
object
method
string
codeGenerated
boolean
availableMethods
Array of object
object
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string